This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 478638 - kernel-2.6.18-92.1.22.el5 misses bug fix which has to be backported.
kernel-2.6.18-92.1.22.el5 misses bug fix which has to be backported.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity high
: rc
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
http://bugzilla.openvz.org/show_bug.c...
:
Depends On:
Blocks: 483701 485920
  Show dependency treegraph
 
Reported: 2009-01-02 11:57 EST by Igor M Podlesny
Modified: 2009-09-02 04:06 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Final patch sent to review (1.13 KB, patch)
2009-01-21 10:32 EST, Ivan Vecera
no flags Details | Diff

  None (edit)
Description Igor M Podlesny 2009-01-02 11:57:43 EST
Description of problem: Kernel hangs suddenly.

Keywords:	tcp_lp_rtt_sample
		divide error: 0000

Additional info:

Usually I don't use RedHat's kernel directly, but OpenVZ's based on RHEL's. Please refer to mine bugreport to OpenVZ:

	http://bugzilla.openvz.org/show_bug.cgi?id=1134
Comment 1 Ivan Vecera 2009-01-13 10:36:40 EST
The upstream commit URL:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=bfbea8a8869a0e21b97605841d04190d63665d19

I'm now building the testing kernel packages to test.
Comment 2 Ivan Vecera 2009-01-13 11:45:54 EST
Promised kernel packages are available at:
http://people.redhat.com/ivecera/rhel-5-ivtest/

Could you please test them and report back results?
Comment 3 Igor M Podlesny 2009-01-13 18:12:00 EST
> Could you please test them and report back results?

My bugreport to OpenVZ project contained patch, I had backported from mainstream by myself:

	http://bugzilla.openvz.org/attachment.cgi?id=867

Since the moment I had sent the patch to OpenVZ, I was using the patch (even a bit earlier, actually). The patch is trivial and it doesn't really require any complex testing, actually I was tested since 2.6.26 came out. OpenVZ's kernel I was using started at last working w/o hangs since I had applied it.

So, put the patch into new RedHat kernel's releases ASAP, don't waste time -- it's a nasty bug and your customers shouldn't have it for such a long time since it was fixed in mainstream.
Comment 4 Ivan Vecera 2009-01-14 07:52:16 EST
OK, I treat it as successfully tested.
Comment 5 Ivan Vecera 2009-01-21 10:32:35 EST
Created attachment 329615 [details]
Final patch sent to review
Comment 6 RHEL Product and Program Management 2009-01-27 15:41:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-02-02 14:47:59 EST
in kernel-2.6.18-130.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 RHEL Product and Program Management 2009-02-16 10:04:24 EST
Updating PM score.
Comment 12 errata-xmlrpc 2009-09-02 04:06:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.